ToolzerHub Docs

Get an employer overview (v1)

Returns an employer's Glassdoor profile: the aggregate rating, plus company facts — headquarters, size, ownership type, revenue, founding year, industry, sector, description, mission, and CEO, for the employer at employer_url. data is null when there is no overview page.

1 credit / requestBilled only on success
GET
/v1/glassdoor/overview

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

employer_url*string

Link to any of the employer's Glassdoor pages: Overview, Reviews, Salaries, Jobs, Interviews or Benefits.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/glassdoor/overview?employer_url=https%3A%2F%2Fwww.glassdoor.com%2FReviews%2FStripe-Reviews-E671932.htm" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "employer_id": "671932",    "slug": "Stripe",    "rating": {      "value": 3.7,      "count": 1361,      "best": 5,      "worst": 1    },    "profile": {      "name": "Stripe",      "short_name": "string",      "website": "www.stripe.com",      "headquarters": "South San Francisco, CA",      "size": "1001 to 5000 Employees",      "type": "Company - Private",      "revenue": "string",      "founded_year": 2010,      "industry": "Financial Transaction Processing",      "sector": "Financial Services",      "description": "string",      "mission": "string",      "logo_url": "string",      "ceo_name": "Patrick Collison"    },    "ratings": {      "overall": 0,      "career_opportunities": 0,      "compensation_and_benefits": 0,      "culture_and_values": 0,      "diversity_and_inclusion": 0,      "senior_leadership": 0,      "work_life_balance": 0,      "recommend_to_friend_percent": 0,      "ceo_approval_percent": 0,      "business_outlook_percent": 0,      "review_count": 0    }  },  "details": {    "reason": "no_results",    "message": "string"  }}